require 'spec_helper'

describe 'WulffeldSlug::PrepareString' do
  it "should convert @ to 'at'" do
    WulffeldSlug::PrepareString.new("deckard@nexus6.net").slug.should == 'deckard-at-nexus6-net'
  end

  it "should convert & to 'and'" do
    WulffeldSlug::PrepareString.new("Deckard & Batty").slug.should == 'deckard-and-batty'
  end

  describe "preparing various words" do
    [
      [["This", "PLACE"], "this-place"],
      ["«Огни Уфы»", "ohny-ufy"],
      ["Развлекательный Комплекс «Огни Уфы», «Колизео»", "razvlekatelinyi-kompleks-ogni-ufy-kolizeo"],
      ["Rider´s Cafe", "riders-cafe"],
      ["Rider`s Cafe", "riders-cafe"],
      ["Rider's Cafe", "riders-cafe"],
      ["o|∞", "o"],
      ["рок клуб (Привокзальна, Залізнична 1 а), Львов", 'rok-klub-privokzalina-zal-znichna-1-a-livov'],
      ["рок клуб 'Старушка' (Привокзальна, Залізнична 1 а)", 'rok-klub-starushka-privokzalina-zal-znichna-1-a']
    ].each do |orig, result|
      it "should convert '#{orig}' to '#{result}" do
        WulffeldSlug::PrepareString.new([*orig]).slug.should == result
      end
    end
  end
end
