$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), "..", "lib"))
MODELS = File.join(File.dirname(__FILE__), "app/models")
$LOAD_PATH.unshift(MODELS)

require "rubygems"
require "bundler/setup"

ENV["RAILS_ENV"] = "test"

require "wulffeld_slug"

require "mongoid"
require "database_cleaner"
require "factory_bot"
require "rspec"

CONFIG = {
  clients: {
    default: {
      database: "wulffeld_slug_test",
      hosts: [ "127.0.0.1:27017" ]
    }
  }
}

Mongoid.configure do |config|
  config.load_configuration(CONFIG)
end

Dir[ File.join(MODELS, "*.rb") ].sort.each { |file| require File.basename(file) }

DatabaseCleaner[:mongoid].strategy = :truncation

RSpec.configure do |config|
  require "rspec/expectations"

  config.include RSpec::Matchers

  config.mock_with :rspec

  config.before(:each) do
    DatabaseCleaner.clean
  end

  config.after(:suite) do
    Mongoid.purge!
  end
end
